main()
{
	setCullFog (0, 15600, .32, .39, .40, 0);
	ambientPlay("ambient_mp_harbor");
	
	maps\mp\_load::main();
	maps\mp\mortarC::main();
	maps\mp\mortarB::main();
	maps\mp\mortarD::main();
	maps\mp\mortarF::main();
	maps\mp\planes::main();
	maps\mp\cookie::main();
	maps\mp\rubberducky::main();
	maps\mp\monorail::main();
	maps\mp\monorail2::main();
	maps\mp\_flak_gmi::main();
	maps\mp\axislift::main();
	maps\mp\allieslift::main();
	
	level thread maps\mp\_tankdrive_gmi::main();
	level thread maps\mp\_jeepdrive_gmi::main();
	

	//	we set the different base models here for base assault
	//	note we COULD use different models for each team 

//	-------------------------------------------	
	//	BASE ASSAULT SETUP
	setCvar("scr_bas_basehealth", "24500");	// 700 tank shell * 35
	setCvar("scr_bas_damagedhealth", getCvarInt("scr_bas_basehealth")/2);
	game["bas_allies_rubble"] 	= "xmodel/mp_bunker_foy_rubble";
	game["bas_allies_complete"] 	= "xmodel/mp_bunker_foy";
	game["bas_allies_damaged"] 	= "xmodel/mp_bunker_foy_predmg";
	game["bas_allies_destroyed"] 	= "xmodel/mp_bunker_foy_dmg";
	game["bas_axis_rubble"] 	= "xmodel/mp_bunker_foy_rubble";
	game["bas_axis_complete"] 	= "xmodel/mp_bunker_foy";
	game["bas_axis_damaged"] 	= "xmodel/mp_bunker_foy_predmg";
	game["bas_axis_destroyed"] 	= "xmodel/mp_bunker_foy_dmg";
//	-------------------------------------------	

        maps\mp\_util_mp_gmi::base_swapper();	
        
       	game["allies"] = "american";
	game["axis"] = "german";

	game["american_soldiertype"] = "airborne";
	game["american_soldiervariation"] = "normal";
	game["german_soldiertype"] = "Veteran";
	game["german_soldiervariation"] = "winter";

	game["attackers"] = "allies";
	game["defenders"] = "axis";

	game["ctf_spectator_obj_text"] = "^3Stop Spectating and Start Kicking Ass Soldier!!";

	game["hud_allies_victory_image"] 	= "gfx/hud/hud@mp_victory_mwv4_a.dds";
	game["hud_axis_victory_image"] 		= "gfx/hud/hud@mp_victory_mwv4_g.dds";

	//Flag Setup Domination
	//There must be a set of the following for each flag in your map.
	flag1 = getent("flag1","targetname");			// identifies the flag you're setting up
	flag1.script_timer = 8;					// how many seconds a capture takes with one player
	flag1.description = ("Allied Kitchen");
	
      flag2 = getent("flag2","targetname");
	flag2.script_timer = 12;
	flag2.description = ("Allied Hall Shelf");

      flag3 = getent("flag3","targetname");
	flag3.script_timer = 18;
	flag3.description = ("Center Hall Flag");

      flag4 = getent("flag4","targetname");
	flag4.script_timer = 8;
	flag4.description = ("Axis Hall Shelf");

      flag5 = getent("flag5","targetname");
	flag5.script_timer = 12;
	flag5.description = ("Axis Desktop");

	
        game["layoutimage"] = "micewars_v4";
	
}
