main() 
{ 
// Specify two different explosion effects to randomly play 
level._effect["mortar_explosion"][0] = loadfx ("fx/impacts/newimps/dirthit_mortar2day.efx"); 
level._effect["mortar_explosion"][1] = loadfx ("fx/impacts/newimps/minefield.efx"); 
level._effect["mortarflash"] = loadfx("fx/muzzleflashes/mortarflash.efx"); 
// send down the mortars 
thread mortarD(); 
} 

mortarD() 
{ 
//define trigger 
trig = getent("mortartriggerD","targetname"); 

//wait untill trigger is used 
trig waittill("trigger",other); 

//define mortar model 
mortarD = getent("mortarD","targetname"); 

//define mortar origin 
origin1 = mortarD getorigin(); 

//play load/launch fx 
mortarD playsound ("mortar_load"); 
wait 0.25; 
mortarD playsound ("mortar_fire"); 
playfx(level._effect["mortarflash"], origin1); 

//call on mortar to fire 
thread mortarsD(); 
} 


mortarsD() 
{ 
 

// Get an array of all the mortars in the level 
mortar = getentarray ("mortartargetD","targetname"); 
// Loop over and over while the level is loaded 

{ 
// Wait 5-10 seconds randomly before doing a mortar explosion 
wait (5 + randomfloat(5)); 

// Make sure there are no players close enough to this mortar to kill them 
GoodPosition = false; 
while (!GoodPosition) 
{ 
// Pick a random mortar location 
rand = randomint(mortar.size); 

// Check if any players are within 5 of the randomly picked mortar-------changed from 200 to 5 
GoodPosition = true; 
players = getentarray("player", "classname"); 
for(i = 0; i < players.size; i++) 
{ 
if (distance(mortar[rand].origin,players[i].origin) < 5) // -------------changed from 200 to 5
{ 
GoodPosition = false; 
break; 
} 
} 
} 

// Play the incomming mortar sound effect 
mortar[rand] playsound("mortar_incoming"); 

// Wait 2 seconds while the imcomming sound plays 
wait 2; 

// Do the explosion effect 
origin = mortar[rand] getorigin(); 
playfx (level._effect["mortar_explosion"][randomint(2)], origin); 

// Play the explosion sound 
mortar[rand] playsound("Gw42_explosion"); 

// Make the explosion cause damage 

radiusDamage(mortar[rand].origin + (8,8,8), 600, 600, 200); 

}
thread mortarD(); 
} 








